Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTreeCompositer Class Reference

`#include <vtkTreeCompositer.h>`

Inheritance diagram for vtkTreeCompositer:

[legend]
Collaboration diagram for vtkTreeCompositer:

[legend]
List of all members.

## Detailed Description

Implements tree based compositing.

Date:
  2002/08/12 15:20:30

Revision:
  1.2

vtkTreeCompositer operates in multiple processes. Each compositer has a render window. They use vtkMultiProcessControllers to comunicate the color and depth buffer to process 0's render window. It will not handle transparency well. vtkCompositeManager.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (92%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkTreeCompositer.h)`
  - .`cxx` (`/Parallel/vtkTreeCompositer.cxx)`

Definition at line 73 of file vtkTreeCompositer.h.

## Public Types
typedef vtkCompositer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp)
## Static Public Methods
vtkTreeCompositer * | New ()
int | IsTypeOf (const char *type)
vtkTreeCompositer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTreeCompositer ()
| ~vtkTreeCompositer ()

## Member Typedef Documentation

typedef vtkCompositer vtkTreeCompositer::Superclass

| Reimplemented from vtkCompositer. Definition at line 77 of file vtkTreeCompositer.h.

## Constructor & Destructor Documentation

vtkTreeCompositer::vtkTreeCompositer | ( |  | ) | `[protected]`

vtkTreeCompositer::~vtkTreeCompositer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTreeCompositer* vtkTreeCompositer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkCompositer.

virtual const char* vtkTreeCompositer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCompositer.

int vtkTreeCompositer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCompositer.

virtual int vtkTreeCompositer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCompositer.

vtkTreeCompositer* vtkTreeCompositer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCompositer.

void vtkTreeCompositer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCompositer.

virtual void vtkTreeCompositer::CompositeBuffer | ( | vtkDataArray * | pBuf,
|  | vtkFloatArray * | zBuf,
|  | vtkDataArray * | pTmp,
|  | vtkFloatArray * | zTmp
| ) | `[virtual]`

| This method gets called on every process. The final image gets put into pBuf and zBuf. Reimplemented from vtkCompositer.

The documentation for this class was generated from the following file:

- Parallel/vtkTreeCompositer.h